Subject: Re: bug#56125: 28.1; Timezone conversion sometimes wrong for recurring events, when importing ical to diary

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 23 Jun 2022 13:39:12 +0200

Martin Apel <[email-masked]> writes:

> I suppose, that it would be a major undertaking to teach the diary
> about timezones. As this is a personal diary it probably also doesn't
> make too much sense. Therefore I wonder, if it wouldn't be the better
> approach, to split a recurring event from ical into separate events in
> the diary.

If you have an event that repeats yearly, that's a lot of entries.  But
more importantly, you don't know a year in advance what the actual time
is going to be until much later -- gummints change time zone rules on a
whim, and a 4:00 PM event in New York time may or may not be 22:00
German time in five months time -- you can't tell in advance.

The only way to make this work reliably is to store the actual time zone
of the event.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no